## org.eclipse.ocl.cst
Interface MessageExpCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Implementing Classes:
  MessageExpCSImpl

    public interface MessageExpCS

extends OCLExpressionCS

A representation of the model object 'Message Exp CS'.

The following features are supported:

- `Target`
- `Kind`
- `Simple Name CS`
- `Arguments`

See Also:
  `CSTPackage.getMessageExpCS()`

Method Summary
`EList<OCLMessageArgCS>` `getArguments()` Returns the value of the 'Arguments' containment reference list.
`MessageExpKind` `getKind()` Returns the value of the 'Kind' attribute.
`SimpleNameCS` `getSimpleNameCS()` Returns the value of the 'Simple Name CS' containment reference
`OCLExpressionCS` `getTarget()` Returns the value of the 'Target' containment reference
`void` `setKind(MessageExpKind value)` Sets the value of the '`Kind`' attribute
`void` `setSimpleNameCS(SimpleNameCS value)` Sets the value of the '`Simple Name CS`' containment reference
`void` `setTarget(OCLExpressionCS value)` Sets the value of the '`Target`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTarget

    OCLExpressionCS getTarget()

  Returns the value of the 'Target' containment reference.

  If the meaning of the 'Target' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(OCLExpressionCS)`, `CSTPackage.getMessageExpCS_Target()`

### setTarget

    void setTarget(OCLExpressionCS value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`

### getKind

    MessageExpKind getKind()

  Returns the value of the 'Kind' attribute. The literals are from the enumeration `MessageExpKind`.

  If the meaning of the 'Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `MessageExpKind`, `setKind(MessageExpKind)`, `CSTPackage.getMessageExpCS_Kind()`

### setKind

    void setKind(MessageExpKind value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `MessageExpKind`, `getKind()`

### getSimpleNameCS

    SimpleNameCS getSimpleNameCS()

  Returns the value of the 'Simple Name CS' containment reference.

  If the meaning of the 'Simple Name CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Simple Name CS' containment reference.
  See Also:
    `setSimpleNameCS(SimpleNameCS)`, `CSTPackage.getMessageExpCS_SimpleNameCS()`

### setSimpleNameCS

    void setSimpleNameCS(SimpleNameCS value)

  Sets the value of the '`Simple Name CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Simple Name CS' containment reference.
  See Also:
    `getSimpleNameCS()`

### getArguments

    EList<OCLMessageArgCS> getArguments()

  Returns the value of the 'Arguments' containment reference list. The list contents are of type `OCLMessageArgCS`.

  If the meaning of the 'Arguments' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Arguments' containment reference list.
  See Also:
    `CSTPackage.getMessageExpCS_Arguments()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.